## simplesamlphp 1.18.4

=== vendor/phpfastcache/riak-client/Makefile ===
.PHONY: all unit-test integration-test security-test
.PHONY: install-composer install-deps help
.PHONY: release

all: test

test: unit-test integration-test scenario-test

unit-test:
	@php ./vendor/bin/phpunit --testsuite=unit-tests

integration-test:
	@php ./vendor/bin/phpunit --testsuite=functional-tests

security-test:
	@php ./vendor/bin/phpunit  --testsuite=security-tests

scenario-test:
	@php ./vendor/bin/phpunit  --testsuite=scenario-tests

timeseries-test:
	@php ./vendor/bin/phpunit tests/functional/TimeSeriesOperationsTest.php

install-deps:
	@./composer install

install-composer:
	@rm -f ./composer.phar ./composer
	@php -r "copy('https://getcomposer.org/installer', 'composer-setup.php');"
	@php ./composer-setup.php --filename=composer
	@rm -f ./composer-setup.php

release:
ifeq ($(VERSION),)
	$(error VERSION must be set to deploy this code)
endif
ifeq ($(RELEASE_GPG_KEYNAME),)
	$(error RELEASE_GPG_KEYNAME must be set to deploy this code)
endif
	@./tools/build/publish $(VERSION) master validate
	@git tag --sign -a "$(VERSION)" -m "riak-php-client $(VERSION)" --local-user "$(RELEASE_GPG_KEYNAME)"
	@git push --tags
	@./tools/build/publish $(VERSION) master 'Riak PHP Client' 'riak-php-client'

help:
	@echo ''
	@echo ' Targets:'
	@echo '-----------------------------------------------------------------'
	@echo ' all                          - Run all tests                    '
	@echo ' install-deps                 - Install required dependencies    '
	@echo ' install-composer             - Installs composer                '
	@echo ' test                         - Run unit & integration tests     '
	@echo ' unit-test                    - Run unit tests                   '
	@echo ' integration-test             - Run integration tests            '
	@echo ' security-test                - Run security tests               '
	@echo '-----------------------------------------------------------------'
	@echo ''

## simplesamlphp 1.6.0

=== debian/changelog ===
simplesamlphp (1.6.0-1ubuntu1) maverick; urgency=low

  * debian/control: drop version in dependency on php5-mash, as php5-mash is
    now provided by php5, with a version higher than the one required.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sun, 03 Oct 2010 23:06:59 +0200

simplesamlphp (1.6.0-1) unstable; urgency=low

  * New upstream release.
  * Initial Debian upload (closes: #557514).
  * Depend on php-openid and do not ship code contained theirin.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 01 Jun 2010 23:32:02 +0200

simplesamlphp (1.6.0~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * Make packaging conform better to Debian policy.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 25 May 2010 16:54:59 +0200

simplesamlphp (1.5.1-1) unstable; urgency=low

  * Fix security vulnerability due to insecure temp file creation:
  - statistics: The logcleaner script outputs to a file in /tmp.
  -  InfoCard: Saves state directly in /tmp. Changed to the simpleSAMLphp
     temp directory.
  - openidProvider: Default configuration saves state information in /tmp.
    Changed to '/var/lib/simplesamlphp-openid-provider'.
  - SAML 1 artifact support: Saves certificates temporarily in
    '/tmp/simplesaml', but directory creation was insecure.
 
  * statistics: Handle new year wraparound.
  * Dictionary updates.
  * Fix bridged logout.
  * Some documentation updates.
  * Fix all metadata to use assignments to arrays.
  * Fix $session->getIdP().
  * Support AuthnContextClassRef in saml-module.
  * Do not attempt to send logout request to an IdP that does not support
    logout.
  * LDAP: Disallow bind with empty password.
  * LDAP: Assume that LDAP_NO_SUCH_OBJECT is an error due to invalid
    username/password.
  * statistics: Fix configuration template.
  * Handle missing authority in idp-hosted metadata better.

 -- Thomas Zangerl <tzangerl@pdc.kth.se>  Mon, 11 Jan 2010 13:51:28 +0100

simplesamlphp (1.5.1~rc1-1) unstable; urgency=low

  * Include possibility to the Identity provider using session->getIdP()

 -- Thomas Zangerl <tzangerl@pdc.kth.se>  Fri, 04 Dec 2009 15:00:00 +0100

simplesamlphp (1.5.0~rc1-1) unstable; urgency=low

  * Move to new modularized SAML provider for authN

 -- Thomas Zangerl <tzangerl@pdc.kth.se>  Fri, 30 Oct 2009 11:21:04 +0100

=== debian/control ===
Source: simplesamlphp
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thijs Kinkhorst <thijs@debian.org>
Uploaders: Thomas Zangerl <tzangerl@pdc.kth.se>
Build-Depends: debhelper (>= 7)
Homepage: http://rnd.feide.no/simplesamlphp/
Vcs-Git: git://git.assembla.com/confusa_packaging
Vcs-Browser: http://www.assembla.com/code/confusa_packaging/git/nodes
Standards-Version: 3.8.4

Package: simplesamlphp
Architecture: all 
Depends: php5 (>= 5.2.0), libapache2-mod-php5 (>= 5.2.0) | php5-cgi (>= 5.2.0),
 openssl (>= 0.9.8g), php-xml-parser (>= 1.2.8), zlib1g (>= 1:1.2.3),
 php5-mhash, php5-mcrypt (>= 5.2.0), php5-cli (>=5.2.0),
 php-openid,
 apache2 | httpd, ${misc:Depends}
Suggests: mysql-server (>= 5), php5-ldap (>= 5.2.0),
 php5-radius (>= 1.2.5), php5-mysql (>= 5.2.0)
Description: Authentication and federation application supporting several protocols
 simpleSAMLphp, with its support for several authentication mechanisms
 and federation protocols, can be used for local authentication, as a
 service provider or identity provider. It currently supports the
 following protocols:
 .
  * SAML 2.0 as a Service or Identity Provider.
  * Shiboleth 1.3 as a Service or Identity Provider.
  * A-Select as a Service or Identity Provider
  * CAS for remote authentication
  * OpenID as a Provider or Consumer
  * WS-Federation as a Service Provider
 .
 Further authentication providers can be added in form of modules. Other
 features are protocol bridging, eduGAIN compatibility, attribute mapping
 and attribute release consent.

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install
	dh_installdocs
	dh_installexamples
	dh_installchangelogs
	rm -r debian/simplesamlphp/usr/share/simplesamlphp/lib/Auth/
	dh_link
	dh_compress
	rm debian/simplesamlphp/usr/share/simplesamlphp/modules/InfoCard/lib/RP/LICENSE.txt
	find . -type f -executable -not -path '*/bin/*' | xargs chmod -x
	dh_fixperms
	chgrp www-data debian/simplesamlphp/var/lib/simplesamlphp/data \
		debian/simplesamlphp/var/log/simplesamlphp
	chmod u=rwx,g=wx,o= debian/simplesamlphp/var/lib/simplesamlphp/data \
		debian/simplesamlphp/var/log/simplesamlphp
	dh_lintian
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build:

binary-indep: install
binary: binary-indep
binary-arch: binary-indep
.PHONY: clean install

## simplesamlphp 1.6.2

=== debian/changelog ===
simplesamlphp (1.6.2-1) unstable; urgency=high

  * New upstream release.
  * Includes security fixes: XSS possible in certain circumstances.
  * Checked for policy 3.9.1, no changes necessary.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 29 Jul 2010 14:47:21 +0200

simplesamlphp (1.6.1-1) unstable; urgency=low

  * New upstream release.
  * Remove version specifiers from dependencies where these are
    satisfied even in oldstable. Besides cleanup this solves an
    issue with php5-mhash, which is a virtual package in squeeze
    and up, and dependencies on virtual packages may not be
    versioned per Debian Policy.
  * Checked for policy 3.9.0, no changes necessary.
  * Install changelog in expected location.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 30 Jun 2010 18:38:40 +0200

=== debian/control ===
Source: simplesamlphp
Section: web
Priority: extra
Maintainer: Thijs Kinkhorst <thijs@debian.org>
Uploaders: Thomas Zangerl <tzangerl@pdc.kth.se>
Build-Depends: debhelper (>= 7)
Homepage: http://rnd.feide.no/simplesamlphp/
Vcs-Git: git://git.assembla.com/confusa_packaging
Vcs-Browser: http://www.assembla.com/code/confusa_packaging/git/nodes
Standards-Version: 3.9.1

Package: simplesamlphp
Architecture: all 
Depends: php5, libapache2-mod-php5 | php5-cgi,
 openssl (>= 0.9.8g), php-xml-parser (>= 1.2.8), zlib1g,
 php5-mhash, php5-mcrypt, php5-cli, php-openid,
 apache2 | httpd, ${misc:Depends}
Suggests: mysql-server (>= 5), php5-ldap,
 php5-radius, php5-mysql
Description: Authentication and federation application supporting several protocols
 simpleSAMLphp, with its support for several authentication mechanisms
 and federation protocols, can be used for local authentication, as a
 service provider or identity provider. It currently supports the
 following protocols:
 .
  * SAML 2.0 as a Service or Identity Provider.
  * Shiboleth 1.3 as a Service or Identity Provider.
  * A-Select as a Service or Identity Provider
  * CAS for remote authentication
  * OpenID as a Provider or Consumer
  * WS-Federation as a Service Provider
 .
 Further authentication providers can be added in form of modules. Other
 features are protocol bridging, eduGAIN compatibility, attribute mapping
 and attribute release consent.

## simplesamlphp 1.6.3

=== debian/changelog ===
simplesamlphp (1.6.3-3) stable-security; urgency=high

  * Fix user-assisted cross site scripting.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 11 Jan 2012 11:43:13 +0100

simplesamlphp (1.6.3-2) stable-security; urgency=high

  * Apply upstream patch fixing security issues:
    - It may be possible to use an SP as a oracle to decrypt
      encrypted messages sent to that SP. This is the attack
      described in the paper "How to break XML encryption":
      http://dx.doi.org/10.1145/2046707.2046756
    - It may be possible to use the SP as a key oracle which
      can be used to  forge messages from that SP by issuing
      300000-2000000 queries to the SP. This mainly affects
      SPs that use signed authentication requests. The attack
      is described in "Chosen Ciphertext Attacks Against
      Protocols Based on the RSA Encryption Standard PKCS #1.":
      http://www.iacr.org/cryptodb/data/paper.php?pubkey=1037
    [CVE-2011-4625]

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 27 Oct 2011 16:32:41 +0200

simplesamlphp (1.6.3-1) unstable; urgency=high

  * New upstream release fixing XSS security bug.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 17 Dec 2010 14:16:25 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Thijs Kinkhorst <thijs@debian.org>
 Uploaders: Thomas Zangerl <tzangerl@pdc.kth.se>
 Build-Depends: debhelper (>= 7)
-Homepage: http://rnd.feide.no/simplesamlphp/
+Homepage: http://simplesamlphp.org/
 Vcs-Git: git://git.assembla.com/confusa_packaging
 Vcs-Browser: http://www.assembla.com/code/confusa_packaging/git/nodes
 Standards-Version: 3.9.1

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,8 @@
 	dh_install
 	dh_installdocs
 	dh_installexamples
-	dh_installchangelogs
+	dh_installchangelogs docs/simplesamlphp-changelog.txt
+	rm debian/simplesamlphp/usr/share/doc/simplesamlphp/simplesamlphp-changelog.txt
 	rm -r debian/simplesamlphp/usr/share/simplesamlphp/lib/Auth/
 	dh_link
 	dh_compress

## simplesamlphp 1.8.0

=== debian/changelog ===
simplesamlphp (1.8.0-1) unstable; urgency=low

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 11 Apr 2011 14:14:34 +0200

simplesamlphp (1.7.0-2) unstable; urgency=low

  * Install all config files that simpleSAMLphp ships in config/ under
    our /etc/simplesamlphp/ (closes: #610973).

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 08 Feb 2011 20:39:44 +0100

simplesamlphp (1.7.0-1) experimental; urgency=low

  * New upstream release.
  * Move php5-cli from depends to recommends (closes: #609256).
  * Install example apache.conf.
  * Remove obsolete /usr/share/doc/simplesamlphp/source/*.
  * Set default baseurlpath to 'simplesamlphp/'.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 11 Jan 2011 16:16:59 +0100

simplesamlphp (1.7.0~rc1-1) UNRELEASED; urgency=low

  * New upstream release candidate.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 24 Dec 2010 16:52:56 +0100

simplesamlphp (1.6.3-1+uvt1) unstable; urgency=low

  * Apply disco_scope.patch: allow the scopedIDPlist to be passed in a
    POST request to avoid running into browser request length limitations.
    Needed for Confusa 0.7. Patch accepted upstream.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 17 Dec 2010 14:26:05 +0100

## simplesamlphp 1.8.1

=== debian/changelog ===
simplesamlphp (1.8.1-1) unstable; urgency=high

  * New upstream release. Fixes security issues:
    - It may be possible to use an SP as a oracle to decrypt
      encrypted messages sent to that SP. This is the attack
      described in the paper "How to break XML encryption":
      http://dx.doi.org/10.1145/2046707.2046756
    - It may be possible to use the SP as a key oracle which
      can be used to  forge messages from that SP by issuing
      300000-2000000 queries to the SP. This mainly affects
      SPs that use signed authentication requests. The attack
      is described in "Chosen Ciphertext Attacks Against
      Protocols Based on the RSA Encryption Standard PKCS #1.":
      http://www.iacr.org/cryptodb/data/paper.php?pubkey=1037

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 27 Oct 2011 14:19:20 +0200

## simplesamlphp 1.8.2

=== debian/changelog ===
simplesamlphp (1.8.2-1) unstable; urgency=high

  * New upstream release, fixes cross site scripting.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 11 Jan 2012 11:19:37 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
 Homepage: http://simplesamlphp.org/
 Vcs-Git: git://git.assembla.com/confusa_packaging
 Vcs-Browser: http://www.assembla.com/code/confusa_packaging/git/nodes
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: simplesamlphp
 Architecture: all 
 Depends: php5, libapache2-mod-php5 | php5-cgi,
  openssl (>= 0.9.8g), php-xml-parser (>= 1.2.8), zlib1g,
- php5-mhash, php5-mcrypt, php5-cli, php-openid,
+ php5-mhash, php5-mcrypt, php-openid,
  apache2 | httpd, ${misc:Depends}
+Recommends: php5-cli
 Suggests: mysql-server (>= 5), php5-ldap,
  php5-radius, php5-mysql
 Description: Authentication and federation application supporting several protocols

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,10 @@
 	dh_md5sums
 	dh_builddeb
 
-build:
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp:
 
 binary-indep: install
 binary: binary-indep

## simplesamlphp 1.9.0~rc1

=== debian/changelog ===
simplesamlphp (1.9.0~rc1-1) unstable; urgency=low

  * New upstream release candidate.
    - Addresses PHP 5.4 compatibility (closes: #658875).
  * Update for Apache 2.4 (closes: #669795).
  * Checked for policy 3.9.3.

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 21 Apr 2012 17:13:15 +0200

## simplesamlphp 1.9.0~rc2

=== debian/changelog ===
simplesamlphp (1.9.0~rc2-1) unstable; urgency=low

  * New upstream release candidate.

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 19 May 2012 16:00:48 +0200

## simplesamlphp 1.9.0

=== debian/changelog ===
simplesamlphp (1.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 13 Jun 2012 12:38:09 +0200

=== debian/watch ===
version=3

opts=downloadurlmangle=s#.*(simplesamlphp-([\d.]+)\.tar\.gz).*#http://simplesamlphp.googlecode.com/files/$1#,filenamemangle=s#.*(simplesamlphp-([\d.]+)\.tar\.gz).*#$1# \
    http://code.google.com/p/simplesamlphp/downloads/list ^.*detail\?name=simplesamlphp-([\d.]+)\.tar\.gz.*

## simplesamlphp 1.9.1

=== debian/changelog ===
simplesamlphp (1.9.1-1) unstable; urgency=medium

  * New upstream security release:
    Fix for an attack against PKCS 1.5 in XML encryption.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 06 Aug 2012 12:57:02 +0000

## simplesamlphp 1.9.2

=== debian/changelog ===
simplesamlphp (1.9.2-1) unstable; urgency=medium

  * New upstream security release:
    Fix possible issue in PKCS 1.5 encryption when a key is
    correctly decrypted but its length is not the one expected.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 29 Aug 2012 15:43:31 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Homepage: http://simplesamlphp.org/
 Vcs-Git: git://git.assembla.com/confusa_packaging
 Vcs-Browser: http://www.assembla.com/code/confusa_packaging/git/nodes
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: simplesamlphp
 Architecture: all

## simplesamlphp 1.10.0

=== debian/changelog ===
simplesamlphp (1.10.0-1) unstable; urgency=low

  * New upstream release.
  * Update packaging to debhelper 9, policy 3.9.4.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 04 Oct 2012 15:17:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Thijs Kinkhorst <thijs@debian.org>
 Uploaders: Thomas Zangerl <tzangerl@pdc.kth.se>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 9)
 Homepage: http://simplesamlphp.org/
 Vcs-Git: git://git.assembla.com/confusa_packaging
 Vcs-Browser: http://www.assembla.com/code/confusa_packaging/git/nodes
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: simplesamlphp
 Architecture: all

## simplesamlphp 1.11.0~rc1

=== debian/changelog ===
simplesamlphp (1.11.0~rc1-1) unstable; urgency=low

  * New upstream release candidate.
    - Sanitycheck now works out of the box (closes: #695147).

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 24 May 2013 16:12:45 +0200

## simplesamlphp 1.11.0

=== debian/changelog ===
simplesamlphp (1.11.0-1) unstable; urgency=low

  * New upstream release.
  * Add php5-json to Recommends.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 05 Jun 2013 14:25:32 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  openssl (>= 0.9.8g), php-xml-parser (>= 1.2.8), zlib1g,
  php5-mhash, php5-mcrypt, php-openid,
  apache2 | httpd, ${misc:Depends}
-Recommends: php5-cli
+Recommends: php5-cli, php5-json
 Suggests: mysql-server (>= 5), php5-ldap,
  php5-radius, php5-mysql
 Description: Authentication and federation application supporting several protocols

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	dh_link
 	dh_compress
 	rm debian/simplesamlphp/usr/share/simplesamlphp/modules/InfoCard/lib/RP/LICENSE.txt
+	rm debian/simplesamlphp/usr/share/simplesamlphp/modules/oauth/libextinc/LICENSE.txt
 	find . -type f -executable -not -path '*/bin/*' | xargs chmod -x
 	dh_fixperms
 	chgrp www-data debian/simplesamlphp/var/lib/simplesamlphp/data \

## simplesamlphp 1.12.0

=== debian/changelog ===
simplesamlphp (1.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 24 Mar 2014 17:53:33 +0100

simplesamlphp (1.12.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 05 Mar 2014 14:18:31 +0100

simplesamlphp (1.12.0~rc1-1) unstable; urgency=medium

  * New upstream release candidate.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 26 Feb 2014 16:15:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Homepage: http://simplesamlphp.org/
 Vcs-Git: git://git.assembla.com/confusa_packaging
 Vcs-Browser: http://www.assembla.com/code/confusa_packaging/git/nodes
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: simplesamlphp
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,15 @@
 	dh_installexamples
 	dh_installchangelogs docs/simplesamlphp-changelog.txt
 	rm debian/simplesamlphp/usr/share/doc/simplesamlphp/simplesamlphp-changelog.txt
-	rm -r debian/simplesamlphp/usr/share/simplesamlphp/lib/Auth/
+	rm -r debian/simplesamlphp/usr/share/simplesamlphp/vendor/openid/php-openid/*
 	dh_link
 	dh_compress
-	rm debian/simplesamlphp/usr/share/simplesamlphp/modules/InfoCard/lib/RP/LICENSE.txt
-	rm debian/simplesamlphp/usr/share/simplesamlphp/modules/oauth/libextinc/LICENSE.txt
+	find debian/simplesamlphp -name .gitignore -delete
+	rm debian/simplesamlphp/usr/share/simplesamlphp/modules/InfoCard/lib/RP/LICENSE.txt \
+	   debian/simplesamlphp/usr/share/simplesamlphp/modules/oauth/libextinc/LICENSE.txt \
+	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/psr/log/LICENSE \
+	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/simplesamlphp/saml2/LICENSE \
+	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/robrichards/xmlseclibs/LICENSE
 	find . -type f -executable -not -path '*/bin/*' | xargs chmod -x
 	dh_fixperms
 	chgrp www-data debian/simplesamlphp/var/lib/simplesamlphp/data \

## simplesamlphp 1.13.1

=== debian/changelog ===
simplesamlphp (1.13.1-2) unstable; urgency=medium

  * Add xmlc14n.patch fixing extreme resource consumption when processing
    large metadata files (closes: #772121).
    See: https://simplesamlphp.org/metaprocessing 

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 05 Dec 2014 10:13:00 +0000

simplesamlphp (1.13.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 27 Oct 2014 19:23:35 +0000

simplesamlphp (1.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 25 Sep 2014 18:26:11 +0000

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/simplesamlphp/saml2/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/robrichards/xmlseclibs/LICENSE
 	find . -type f -executable -not -path '*/bin/*' | xargs chmod -x
+	find . -type d -name \.svn | xargs -r rm -r
 	dh_fixperms
 	chgrp www-data debian/simplesamlphp/var/lib/simplesamlphp/data \
 		debian/simplesamlphp/var/log/simplesamlphp

## simplesamlphp 1.13.2

=== debian/changelog ===
simplesamlphp (1.13.2-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Incorporates xmlc14n.patch.
  * Fix typo in package description (closes: #781020).

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 30 Apr 2015 13:51:36 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Homepage: http://simplesamlphp.org/
 Vcs-Git: git://git.assembla.com/confusa_packaging
 Vcs-Browser: http://www.assembla.com/code/confusa_packaging/git/nodes
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: simplesamlphp
 Architecture: all 
@@ -25,7 +25,7 @@
  following protocols:
  .
   * SAML 2.0 as a Service or Identity Provider.
-  * Shiboleth 1.3 as a Service or Identity Provider.
+  * Shibboleth 1.3 as a Service or Identity Provider.
   * A-Select as a Service or Identity Provider
   * CAS for remote authentication
   * OpenID as a Provider or Consumer

=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,8 @@
 	   debian/simplesamlphp/usr/share/simplesamlphp/modules/oauth/libextinc/LICENSE.txt \
 	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/psr/log/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/simplesamlphp/saml2/LICENSE \
-	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/robrichards/xmlseclibs/LICENSE
+	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/simplesamlphp/xmlseclibs/LICENSE
 	find . -type f -executable -not -path '*/bin/*' | xargs chmod -x
-	find . -type d -name \.svn | xargs -r rm -r
 	dh_fixperms
 	chgrp www-data debian/simplesamlphp/var/lib/simplesamlphp/data \
 		debian/simplesamlphp/var/log/simplesamlphp

## simplesamlphp 1.14.0

=== debian/changelog ===
simplesamlphp (1.14.0-1ubuntu2) xenial; urgency=medium

  * Drop dependency on php-mhash; php5-mhash was a legacy provides with
    no equivalent in php7.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Mar 2016 23:26:40 -0700

simplesamlphp (1.14.0-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1544352).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Thu, 24 Mar 2016 17:19:25 -0700

simplesamlphp (1.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 17 Feb 2016 10:18:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: simplesamlphp
 Section: web
 Priority: extra
-Maintainer: Thijs Kinkhorst <thijs@debian.org>
-Uploaders: Thomas Zangerl <tzangerl@pdc.kth.se>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thijs Kinkhorst <thijs@debian.org>
 Build-Depends: debhelper (>= 9)
-Homepage: http://simplesamlphp.org/
-Vcs-Git: git://git.assembla.com/confusa_packaging
-Vcs-Browser: http://www.assembla.com/code/confusa_packaging/git/nodes
+Homepage: https://simplesamlphp.org/
+Vcs-Git: git://anonscm.debian.org/collab-maint/simplesamlphp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/simplesamlphp.git/
 Standards-Version: 3.9.6
 
 Package: simplesamlphp
 Architecture: all 
-Depends: php5, libapache2-mod-php5 | php5-cgi,
+Depends: php, libapache2-mod-php | php-cgi,
  openssl (>= 0.9.8g), php-xml-parser (>= 1.2.8), zlib1g,
- php5-mhash, php5-mcrypt, php-openid,
+ php-mcrypt, php-openid,
  apache2 | httpd, ${misc:Depends}
-Recommends: php5-cli, php5-json
-Suggests: mysql-server (>= 5), php5-ldap,
- php5-radius, php5-mysql
+Recommends: php-cli, php-json
+Suggests: mysql-server (>= 5), php-ldap,
+ php-radius, php-mysql
 Description: Authentication and federation application supporting several protocols
  simpleSAMLphp, with its support for several authentication mechanisms
  and federation protocols, can be used for local authentication, as a

=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,24 @@
 	dh_compress
 	find debian/simplesamlphp -name .gitignore -delete
 	rm debian/simplesamlphp/usr/share/simplesamlphp/modules/InfoCard/lib/RP/LICENSE.txt \
+	   debian/simplesamlphp/usr/share/simplesamlphp/modules/aggregator/LICENSE \
+	   debian/simplesamlphp/usr/share/simplesamlphp/modules/aggregator2/LICENSE \
+	   debian/simplesamlphp/usr/share/simplesamlphp/modules/autotest/LICENSE \
+	   debian/simplesamlphp/usr/share/simplesamlphp/modules/consentSimpleAdmin/LICENSE \
+	   debian/simplesamlphp/usr/share/simplesamlphp/modules/logpeek/LICENSE \
+	   debian/simplesamlphp/usr/share/simplesamlphp/modules/metaedit/LICENSE \
+	   debian/simplesamlphp/usr/share/simplesamlphp/modules/modinfo/LICENSE \
+	   debian/simplesamlphp/usr/share/simplesamlphp/modules/openid/LICENSE \
+	   debian/simplesamlphp/usr/share/simplesamlphp/modules/openidProvider/LICENSE \
+	   debian/simplesamlphp/usr/share/simplesamlphp/modules/saml2debug/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/modules/oauth/libextinc/LICENSE.txt \
+	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/composer/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/psr/log/LICENSE \
+	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/robrichards/xmlseclibs/LICENSE \
+	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/simplesamlphp/composer-module-installer/COPYING \
+	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/simplesamlphp/composer-module-installer/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/simplesamlphp/saml2/LICENSE \
-	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/simplesamlphp/xmlseclibs/LICENSE
+	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/whitehat101/apr1-md5/LICENSE
 	find . -type f -executable -not -path '*/bin/*' | xargs chmod -x
 	dh_fixperms
 	chgrp www-data debian/simplesamlphp/var/lib/simplesamlphp/data \

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/simplesamlphp-$1\.tar\.gz/ \
  https://github.com/simplesamlphp/simplesamlphp/tags .*/v?(\d\S*)\.tar\.gz

## simplesamlphp 1.14.3

=== debian/changelog ===
simplesamlphp (1.14.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 19 Apr 2016 12:57:16 +0000

simplesamlphp (1.14.2-2) unstable; urgency=medium

  * Update dependencies:
    - php5 -> php; remove obsolete php5-mhash
    - remove php-openid, php-xml-parser as dependencies;
      only used for the niche OpenID module. (Closes: #818800)

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 05 Apr 2016 13:25:40 +0000

simplesamlphp (1.14.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 14 Mar 2016 12:49:17 +0000

simplesamlphp (1.14.1-1) unstable; urgency=high

  * New upstream release.
    - Fixes PHP version number disclosure (closes: #817162).
  * Checked for policy 3.9.7, no changes.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 08 Mar 2016 16:41:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: simplesamlphp
 Section: web
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thijs Kinkhorst <thijs@debian.org>
+Maintainer: Thijs Kinkhorst <thijs@debian.org>
 Build-Depends: debhelper (>= 9)
 Homepage: https://simplesamlphp.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/simplesamlphp.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/simplesamlphp.git/
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 
 Package: simplesamlphp
 Architecture: all 
 Depends: php, libapache2-mod-php | php-cgi,
- openssl (>= 0.9.8g), php-xml-parser (>= 1.2.8), zlib1g,
- php-mcrypt, php-openid,
+ openssl (>= 0.9.8g), zlib1g, php-mcrypt,
  apache2 | httpd, ${misc:Depends}
 Recommends: php-cli, php-json
 Suggests: mysql-server (>= 5), php-ldap,

## simplesamlphp 1.14.4

=== debian/changelog ===
simplesamlphp (1.14.4-1) unstable; urgency=medium

  * New upstream release.
  * Checked for policy 3.9.7, no changes.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 09 Jun 2016 07:42:06 +0000

## simplesamlphp 1.14.5

=== debian/changelog ===
simplesamlphp (1.14.5-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 13 Jul 2016 12:19:08 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: https://simplesamlphp.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/simplesamlphp.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/simplesamlphp.git/
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 
 Package: simplesamlphp
 Architecture: all

## simplesamlphp 1.14.6

=== debian/changelog ===
simplesamlphp (1.14.6-1) unstable; urgency=medium

  * New upstream release.
  * Improve dependencies: do not depend on any specific PHP SAPI and
    clean up obsolete requirements. Thanks Wessel Dankers for reporting.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 20 Jul 2016 14:59:30 +0000

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,9 @@
 
 Package: simplesamlphp
 Architecture: all 
-Depends: php, libapache2-mod-php | php-cgi,
- openssl (>= 0.9.8g), zlib1g, php-mcrypt,
- apache2 | httpd, ${misc:Depends}
+Depends: php, php-mcrypt, apache2 | httpd, ${misc:Depends}
 Recommends: php-cli, php-json
-Suggests: mysql-server (>= 5), php-ldap,
- php-radius, php-mysql
+Suggests: mysql-server, php-ldap, php-radius, php-mysql
 Description: Authentication and federation application supporting several protocols
  simpleSAMLphp, with its support for several authentication mechanisms
  and federation protocols, can be used for local authentication, as a

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	dh_link
 	dh_compress
 	find debian/simplesamlphp -name .gitignore -delete
+	rm -r debian/simplesamlphp/usr/share/simplesamlphp/modules/themefeidernd/.git
 	rm debian/simplesamlphp/usr/share/simplesamlphp/modules/InfoCard/lib/RP/LICENSE.txt \
 	   debian/simplesamlphp/usr/share/simplesamlphp/modules/aggregator/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/modules/aggregator2/LICENSE \
@@ -31,6 +32,7 @@
 	   debian/simplesamlphp/usr/share/simplesamlphp/modules/openidProvider/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/modules/saml2debug/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/modules/oauth/libextinc/LICENSE.txt \
+	   debian/simplesamlphp/usr/share/simplesamlphp/modules/themefeidernd/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/composer/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/psr/log/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/robrichards/xmlseclibs/LICENSE \

## simplesamlphp 1.14.7

=== debian/changelog ===
simplesamlphp (1.14.7-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 01 Aug 2016 14:09:15 +0000

## simplesamlphp 1.14.8

=== debian/changelog ===
simplesamlphp (1.14.8-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 23 Aug 2016 12:29:51 +0000

## simplesamlphp 1.14.9

=== debian/changelog ===
simplesamlphp (1.14.9-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 14 Nov 2016 09:05:41 +0000

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,6 @@
 	dh_link
 	dh_compress
 	find debian/simplesamlphp -name .gitignore -delete
-	rm -r debian/simplesamlphp/usr/share/simplesamlphp/modules/themefeidernd/.git
 	rm debian/simplesamlphp/usr/share/simplesamlphp/modules/InfoCard/lib/RP/LICENSE.txt \
 	   debian/simplesamlphp/usr/share/simplesamlphp/modules/aggregator/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/modules/aggregator2/LICENSE \
@@ -32,7 +31,6 @@
 	   debian/simplesamlphp/usr/share/simplesamlphp/modules/openidProvider/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/modules/saml2debug/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/modules/oauth/libextinc/LICENSE.txt \
-	   debian/simplesamlphp/usr/share/simplesamlphp/modules/themefeidernd/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/composer/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/psr/log/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/robrichards/xmlseclibs/LICENSE \
@@ -40,6 +38,7 @@
 	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/simplesamlphp/composer-module-installer/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/simplesamlphp/saml2/LICENSE \
 	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/whitehat101/apr1-md5/LICENSE
+	rm -r debian/simplesamlphp/usr/share/simplesamlphp/modules/*/.git/
 	find . -type f -executable -not -path '*/bin/*' | xargs chmod -x
 	dh_fixperms
 	chgrp www-data debian/simplesamlphp/var/lib/simplesamlphp/data \

## simplesamlphp 1.14.10

=== debian/changelog ===
simplesamlphp (1.14.10-1) unstable; urgency=high

  * New upstream release.
    - Fixes security issue SSPSA 201612-01. 

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 03 Dec 2016 08:04:20 +0000

## simplesamlphp 1.14.11

=== debian/changelog ===
simplesamlphp (1.14.11-1+deb9u2) stretch-security; urgency=high

  * Update by the security team for stretch.
  * Fix security issue CVE-2019-3465 (closes: #944107).

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 05 Nov 2019 08:54:44 +0100

simplesamlphp (1.14.11-1+deb9u1) stretch-security; urgency=high

  * Update by the security team for stretch.
    CVE-2017-12867 CVE-2017-12869
    CVE-2017-12874 CVE-2017-18121 CVE-2017-18122
    CVE-2018-6519 CVE-2018-6521 SSPSA-201802-01
    (closes: #889286).

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 01 Mar 2018 20:16:49 +0100

simplesamlphp (1.14.11-1) unstable; urgency=medium

  * New upstream release.
    - Fixes security issues SSPSA 201612-02 & SSPSA 201612-03.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 13 Dec 2016 08:24:57 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Architecture: all 
 Depends: php, php-mcrypt, apache2 | httpd, ${misc:Depends}
 Recommends: php-cli, php-json
-Suggests: mysql-server, php-ldap, php-radius, php-mysql
+Suggests: php-ldap, php-radius, php-mysql
 Description: Authentication and federation application supporting several protocols
  simpleSAMLphp, with its support for several authentication mechanisms
  and federation protocols, can be used for local authentication, as a

## simplesamlphp 1.14.15

=== debian/changelog ===
simplesamlphp (1.14.15-1) unstable; urgency=medium

  * New upstream release.
    - Fixes security issues SSPSA 201703-01, SSPSA 201703-02,
      SSPSA 201704-01, SSPSA 201704-02, SSPSA 201705-01 and
      SSPSA 201708-01.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 14 Aug 2017 14:41:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: simplesamlphp
 Section: web
-Priority: extra
+Priority: optional
 Maintainer: Thijs Kinkhorst <thijs@debian.org>
 Build-Depends: debhelper (>= 9)
 Homepage: https://simplesamlphp.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/simplesamlphp.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/simplesamlphp.git/
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 
 Package: simplesamlphp
 Architecture: all

## simplesamlphp 1.15.0

=== debian/changelog ===
simplesamlphp (1.15.0-1) unstable; urgency=medium

  * New upstream release.
    - Obsoletes php-mcrypt dependency.
  * Checked for policy 4.1.1.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 20 Nov 2017 19:41:02 +0000

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Homepage: https://simplesamlphp.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/simplesamlphp.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/simplesamlphp.git/
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 
 Package: simplesamlphp
 Architecture: all 
-Depends: php, php-mcrypt, apache2 | httpd, ${misc:Depends}
+Depends: php, apache2 | httpd, ${misc:Depends}
 Recommends: php-cli, php-json
 Suggests: php-ldap, php-radius, php-mysql
 Description: Authentication and federation application supporting several protocols

## simplesamlphp 1.15.1

=== debian/changelog ===
simplesamlphp (1.15.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove symlink, copyright info related to removed modules.
    (Closes: #857820)
  * Upgraded to debhelper 11 and policy 4.1.3. 

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 12 Jan 2018 13:24:45 +0000

## simplesamlphp 1.15.2

=== debian/changelog ===
simplesamlphp (1.15.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 31 Jan 2018 13:39:37 +0000

## simplesamlphp 1.15.3

=== debian/changelog ===
simplesamlphp (1.15.3-1) unstable; urgency=high

  * New upstream release.
    - Fixes security issue SSPSA 201802-01

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 27 Feb 2018 11:58:17 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: web
 Priority: optional
 Maintainer: Thijs Kinkhorst <thijs@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 11)
 Homepage: https://simplesamlphp.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/simplesamlphp.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/simplesamlphp.git/
-Standards-Version: 4.1.1
+Vcs-Git: https://salsa.debian.org/debian/simplesamlphp.git
+Vcs-Browser: https://salsa.debian.org/debian/simplesamlphp
+Standards-Version: 4.1.3
 
 Package: simplesamlphp
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install
	dh_installdocs
	dh_installexamples
	dh_installchangelogs docs/simplesamlphp-changelog.md
	rm debian/simplesamlphp/usr/share/doc/simplesamlphp/simplesamlphp-changelog.md
	dh_link
	dh_compress
	find debian/simplesamlphp -name .gitignore -delete
	rm debian/simplesamlphp/usr/share/simplesamlphp/modules/oauth/libextinc/LICENSE.txt \
	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/composer/LICENSE \
	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/psr/log/LICENSE \
	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/robrichards/xmlseclibs/LICENSE \
	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/simplesamlphp/saml2/LICENSE \
	   debian/simplesamlphp/usr/share/simplesamlphp/vendor/whitehat101/apr1-md5/LICENSE \
           debian/simplesamlphp/usr/share/simplesamlphp/vendor/gettext/gettext/LICENSE \
           debian/simplesamlphp/usr/share/simplesamlphp/vendor/gettext/languages/LICENSE \
           debian/simplesamlphp/usr/share/simplesamlphp/vendor/twig/extensions/LICENSE \
           debian/simplesamlphp/usr/share/simplesamlphp/vendor/twig/twig/LICENSE
	find . -type f -executable -not -path '*/bin/*' | xargs chmod -x
	dh_fixperms
	chgrp www-data debian/simplesamlphp/var/lib/simplesamlphp/data \
		debian/simplesamlphp/var/log/simplesamlphp
	chmod u=rwx,g=wx,o= debian/simplesamlphp/var/lib/simplesamlphp/data \
		debian/simplesamlphp/var/log/simplesamlphp
	dh_lintian
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:

binary-indep: install
binary: binary-indep
binary-arch: binary-indep
.PHONY: clean install

## simplesamlphp 1.15.4

=== debian/changelog ===
simplesamlphp (1.15.4-1) unstable; urgency=high

  * New upstream release.
    - Fixes medium security issue SSPSA 201803-01.

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 03 Mar 2018 09:36:50 +0000

## simplesamlphp 1.16.1

=== debian/changelog ===
simplesamlphp (1.16.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 07 Sep 2018 15:00:04 +0000

simplesamlphp (1.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Checked for policy 4.2.1, no changes.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 06 Sep 2018 10:19:52 +0000

## simplesamlphp 1.16.2

=== debian/changelog ===
simplesamlphp (1.16.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 29 Sep 2018 09:33:14 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Homepage: https://simplesamlphp.org/
 Vcs-Git: https://salsa.debian.org/debian/simplesamlphp.git
 Vcs-Browser: https://salsa.debian.org/debian/simplesamlphp
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
+Rules-Requires-Root: binary-targets
 
 Package: simplesamlphp
 Architecture: all

## simplesamlphp 1.16.3

=== debian/changelog ===
simplesamlphp (1.16.3-1+deb10u2) buster; urgency=medium

  * Fix incompatibility with PHP 7.3 (closes: #944820).

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 16 Dec 2019 14:15:00 +0100

simplesamlphp (1.16.3-1+deb10u1) buster-security; urgency=high

  * Fix security issue CVE-2019-3465.

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 03 Nov 2019 05:46:13 +0000

simplesamlphp (1.16.3-1) unstable; urgency=medium

  [ Thijs Kinkhorst ]
  * New upstream release.
    - Fixes low impact security issue SSPSA 201812-01.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 21 Dec 2018 13:46:17 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Rules-Requires-Root: binary-targets
 
 Package: simplesamlphp
-Architecture: all 
+Architecture: all
 Depends: php, apache2 | httpd, ${misc:Depends}
 Recommends: php-cli, php-json
 Suggests: php-ldap, php-radius, php-mysql

=== debian/rules ===
--- 
+++ 
@@ -48,4 +48,4 @@
 binary-indep: install
 binary: binary-indep
 binary-arch: binary-indep
-.PHONY: clean install 
+.PHONY: clean install

## simplesamlphp 1.17.2

=== debian/changelog ===
simplesamlphp (1.17.2-2) unstable; urgency=medium

  * Fix duplicate definition of metadatadir in Debian version
    of initial configuration file.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 18 Apr 2019 13:33:26 +0000

simplesamlphp (1.17.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 03 Apr 2019 17:51:12 +0000

simplesamlphp (1.17.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 07 Mar 2019 14:45:50 +0000

simplesamlphp (1.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 07 Mar 2019 13:24:26 +0000

simplesamlphp (1.17.0~rc3-1) unstable; urgency=medium

  * New upstream release candidate.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 30 Jan 2019 15:30:05 +0000

## simplesamlphp 1.17.3

=== debian/changelog ===
simplesamlphp (1.17.3-1) unstable; urgency=medium

  * New upstream release.
    - Fixes SSPSA 201907-01.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 10 Jul 2019 11:42:59 +0000

## simplesamlphp 1.17.4

=== debian/changelog ===
simplesamlphp (1.17.4-1) unstable; urgency=medium

  * New upstream release.
  * Switch to dh.
  * Update to policy 4.4.0.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 11 Jul 2019 11:45:51 +0000

## simplesamlphp 1.17.5

=== debian/changelog ===
simplesamlphp (1.17.5-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 20 Aug 2019 09:36:09 +0000

## simplesamlphp 1.17.6

=== debian/changelog ===
simplesamlphp (1.17.6-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 30 Aug 2019 10:13:42 +0000

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Homepage: https://simplesamlphp.org/
 Vcs-Git: https://salsa.debian.org/debian/simplesamlphp.git
 Vcs-Browser: https://salsa.debian.org/debian/simplesamlphp
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Rules-Requires-Root: binary-targets
 
 Package: simplesamlphp
 Architecture: all
-Depends: php, apache2 | httpd, ${misc:Depends}
+Depends: php, apache2 | httpd, ${misc:Depends}, ${perl:Depends}
 Recommends: php-cli, php-json
 Suggests: php-ldap, php-radius, php-mysql
 Description: Authentication and federation application supporting several protocols

## simplesamlphp 1.18.1

=== debian/changelog ===
simplesamlphp (1.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 26 Nov 2019 15:02:47 +0000

simplesamlphp (1.17.6-2) unstable; urgency=critical

  * Fix security issue CVE-2019-3465.

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 03 Nov 2019 05:32:21 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: https://simplesamlphp.org/
 Vcs-Git: https://salsa.debian.org/debian/simplesamlphp.git
 Vcs-Browser: https://salsa.debian.org/debian/simplesamlphp
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: binary-targets
 
 Package: simplesamlphp

## simplesamlphp 1.18.4

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Homepage: https://simplesamlphp.org/
 Vcs-Git: https://salsa.debian.org/debian/simplesamlphp.git
 Vcs-Browser: https://salsa.debian.org/debian/simplesamlphp
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: binary-targets
 
 Package: simplesamlphp

## simplesamlphp 1.18.6

=== debian/changelog ===
simplesamlphp (1.18.6-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 20 Apr 2020 07:33:20 +0000

simplesamlphp (1.18.5-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 20 Mar 2020 09:38:32 +0000

simplesamlphp (1.18.4-1) unstable; urgency=medium

  * New upstream release.
  * Upgrade standards version to 4.5.0, no changes required.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 24 Jan 2020 12:32:24 +0000

## simplesamlphp 1.18.7

=== debian/changelog ===
simplesamlphp (1.18.7-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 15 May 2020 08:02:39 +0000

## simplesamlphp 1.18.8

=== debian/changelog ===
simplesamlphp (1.18.8-1) unstable; urgency=medium

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 04 Sep 2020 10:14:32 +0000

## simplesamlphp 1.19.0

=== debian/changelog ===
simplesamlphp (1.19.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump policy version to 4.5.1, no changes.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 22 Jan 2021 09:09:05 +0000

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d[.\d]+)\.tar\.gz/simplesamlphp-$1\.tar\.gz/ \
  https://github.com/simplesamlphp/simplesamlphp/tags .*/v?(\d[.\d]+)\.tar\.gz
